<!DOCTYPE html>
<html xmlns:th="www.thymeleaf.org">
<head>
    <title>Nouvelle Approvission</title>
</head>
<body>
<div th:include="header.html"></div>
</br>
<div class="col-md-8 col-md-offset-2">
    <div class="panel panel-info">
        <div class="panel-heading">
            <h2 class="panel-title text-center">Ajout et Update de Approvission</h2></div>
        <div class="panel-body">
            <form class="form-horizontal " method="POST" th:action="@{/approvission/add}"
                  th:object="${approvission}">
                <input class="form-control" th:field="*{id}" type="hidden"/>

                <div class="form-group">
                    <label class="control-label col-md-2">Date</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{date}" type="date"/>
                        <span class="text-danger" th:errors="*{date}"></span>
                    </div>
                </div>


                <div class="form-group">
                    <label class="control-label col-md-2" for="sel6">Statut</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel6" th:field="*{statutApprovission}">
                            <option th:text="NON_REGLER" th:value="NON_REGLER"></option>
                            <option th:text="REGLER" th:value="REGLER"></option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Montant Total</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{montantTotal}" type="number"/>
                        <span class="text-danger" th:errors="*{montantTotal}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Montant Payé</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{montantPaye}" type="number"/>
                        <span class="text-danger" th:errors="*{montantTotal}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2">Montant Restant</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{montantRestant}" type="number"/>
                        <span class="text-danger" th:errors="*{montantTotal}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2" for="sel7">Magasin</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel7" th:field="*{magasin.id}">
                            <option th:each="mag:${magasins}"
                                    th:text="${mag.nom}+' '+${mag.adresse}"
                                    th:value="${mag.id}"></option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2" for="sel2">Fournisseur</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel2" th:field="*{personne.id}">
                            <option th:each="person:${personnes}"
                                    th:if="${person.typeCompte == 'FOURNISSEUR'}"
                                    th:text="${person.prenom}+' '+${person.nom}+' | '+ ${person.telephone}"
                                    th:value="${person.id}"></option>
                        </select>
                    </div>
                </div>
<!--
                <div class="form-group">
                    <label class="control-label col-md-2">Produits</label>
                    <div class="col-md-10">
                        <button class="btn btn" data-target="#myModal" data-toggle="modal" type="button">
                            Ajout de Produit
                        </button>
                        <div class="modal fade" id="myModal" role="dialog">
                            <div class="modal-dialog modal-lg">
                                <div class="modal-content">

                                    <div class="modal-header">
                                        <button class="close btn btn-info btn-lg" data-dismiss="modal" type="button">
                                            &times;
                                        </button>
                                        <h4 class="modal-title ">Ajout de Produit</h4>
                                    </div>

                                    <div class="modal-body">
                                        <div class="panel panel-info">
                                            <div class="panel-body">
                                                <table class="table table-striped" id="tbl" th:field="*{io_produits}">
                                                    <div class="text-center">
                                                        <button class="btn btn-primary" id="plus" type="submit"
                                                        >+
                                                        </button>
                                                    </div>
                                                    <thead>
                                                    <tr>
                                                        <th>Quantite</th>
                                                        <th>Prix</th>
                                                        <th>Type</th>
                                                        <th>Produit</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody id="tableProd">
                                                    <tr id="line">
                                                        <td><input class='form-control' name='quantite' type='number'/>
                                                        </td>
                                                        <td><input class='form-control' name='prix' type='number'/></td>
                                                        <td><input class='form-control' name='type' type='text'/></td>
                                                        <td>
                                                            <div class="form-group text-left">
                                                                <select class="form-control " id="sel5"
                                                                        name="produit.id">
                                                                    <option th:each="produit:${produits}"
                                                                            th:text="${produit.categorie.nom}+' '+${produit.nom}"
                                                                            th:value="${produit}"></option>
                                                                </select></div>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>-->

                <input class="form-control" name="user.id" th:value="${userId}" type="hidden"/>

                <div class="text-center">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-save"></span> Sauvegarder</button>

                </div>
            </form>
        </div>
    </div>
</div>

</body>
<script th:src="@{/js/myScript.js}"></script>
</html>